Bug 673688 - olpc-os-builder not built with $RPM_OPT_FLAGS
olpc-os-builder not built with $RPM_OPT_FLAGS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: olpc-os-builder (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Drake
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2011-01-29 14:55 EST by Ville Skyttä
Modified: 2011-04-15 17:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: olpc-os-builder-3.0.0-0.4.pre2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-15 16:49:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2011-01-29 14:55:42 EST
http://kojipkgs.fedoraproject.org/packages/olpc-os-builder/3.0.0/0.2.pre2.fc15/data/logs/x86_64/build.log

olpc-os-builder is not built with $RPM_OPT_FLAGS (no compiler security features, broken debuginfo); see the build log.  One way to fix it:

-make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"
+make %{?_smp_mflags} CC="%{__cc} $RPM_OPT_FLAGS"
Comment 1 Fedora Update System 2011-04-07 02:47:42 EDT
olpc-os-builder-3.0.0-0.4.pre2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/olpc-os-builder-3.0.0-0.4.pre2.fc15
Comment 2 Fedora Update System 2011-04-07 03:56:21 EDT
olpc-os-builder-3.0.0-0.4.pre2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/olpc-os-builder-3.0.0-0.4.pre2.fc14
Comment 3 Fedora Update System 2011-04-07 14:47:37 EDT
Package olpc-os-builder-3.0.0-0.4.pre2.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing olpc-os-builder-3.0.0-0.4.pre2.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/olpc-os-builder-3.0.0-0.4.pre2.fc14
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-04-15 16:49:03 EDT
olpc-os-builder-3.0.0-0.4.pre2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2011-04-15 17:22:24 EDT
olpc-os-builder-3.0.0-0.4.pre2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.